$(function(){
	//统一调用的变量赋值
	var turnTimer;//时间函数
	var trunI=1;
    var fzturn={
		parameters:{
			speed:turnSpeed,//speed是设置图片切换速度
			objImg:turnobjImg,//大图对象
			selectorintPic:selectorintPic,//初始化选择器
			objImglink:objImglink,//大图链接地址对象
			objText:objText,//大图说明对象
			selectorPic:selectorPic,//小图片的选择器
			objcurrentPic:objcurrentPic,//小图片的当前对象
			playType:playType//播放类型，0是点击播放；1是鼠标经过播放
		},
		turnimg:function(trunI){
			$(fzturn.parameters.selectorPic).attr("class","");
			$(fzturn.parameters.selectorPic).eq(trunI-1).attr("class",fzturn.parameters.objcurrentPic);
			if($(fzturn.parameters.objText)!=null){
			    $(fzturn.parameters.objText).text($(fzturn.parameters.selectorPic).eq(trunI-1).attr("alt"));
			}
			$(fzturn.parameters.objImglink).attr({href:$(fzturn.parameters.selectorPic).eq(trunI-1).attr("href"),title:$(fzturn.parameters.selectorPic).eq(trunI-1).attr("alt")})
			$(fzturn.parameters.objImg).hide().attr({src:$(fzturn.parameters.selectorPic).eq(trunI-1).attr("name"),alt:$(fzturn.parameters.selectorPic).eq(trunI-1).attr("alt")}).fadeIn(500);
		},
		playImg:function(trunI){
			clearInterval(turnTimer);
			fzturn.turnimg(trunI)
			turnTimer=setInterval(fzturn.trunpic,fzturn.parameters.speed);
		},
		trunpic:function(){
			if(trunI>($(fzturn.parameters.selectorPic).length-1)){trunI=1}else{trunI++};
		    fzturn.turnimg(trunI);
		}
	}
	
	$(fzturn.parameters.objImg).attr({src:$(fzturn.parameters.selectorintPic).attr("name"),alt:$(fzturn.parameters.selectorintPic).attr("alt")});//初始化赋值给大图片和alt
	$(fzturn.parameters.objImglink).attr({href:$(fzturn.parameters.selectorintPic).attr("href"),title:$(fzturn.parameters.selectorintPic).attr("alt")});//初始化赋值链接地址
	if($(fzturn.parameters.objText)!=null){
	  $(fzturn.parameters.objText).text($(fzturn.parameters.selectorintPic).attr("alt"));//初始化赋值大图说明
	}
	$(fzturn.parameters.selectorPic).click(function(){
		if(fzturn.parameters.playType==0){
		    trunI=$(this).attr("rel");
		    fzturn.playImg(trunI);
		}
	})
	$(fzturn.parameters.selectorPic).mouseover(function(){
		clearInterval(turnTimer);
		if(fzturn.parameters.playType==1){
		    trunI=$(this).attr("rel");
		    fzturn.playImg(trunI);
		}
	})
	$(fzturn.parameters.selectorPic).mouseout(function(){
		clearInterval(turnTimer);
		turnTimer=setInterval(fzturn.trunpic,fzturn.parameters.speed);
	})
	$(fzturn.parameters.objImglink).mouseover(function(){
		clearInterval(turnTimer);
	})
	$(fzturn.parameters.objImglink).mouseout(function(){
		clearInterval(turnTimer);
		turnTimer=setInterval(fzturn.trunpic,fzturn.parameters.speed);
	})
	turnTimer=setInterval(fzturn.trunpic,fzturn.parameters.speed);
})